Debian Bug report logs - #214946
ITA: xmms-singit -- Display and edit lyrics with XMMS

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Thu, 9 Oct 2003 14:18:04 UTC

Severity: normal

Fixed in version xmms-singit/0.1.28-1

Done: Florian Ernst <florian_ernst@gmx.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214946; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Viral <viral@debian.org>
Subject: O: xmms-singit -- Display and edit lyrics with XMMS
Date: Thu, 9 Oct 2003 22:15:47 +1000
Package: wnpp
Severity: normal

The current maintainer of xmms-singit, Viral <viral@debian.org>, has
orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: xmms-singit
Binary: xmms-singit
Version: 0.1.27-0.2
Priority: optional
Section: sound
Maintainer: Viral <viral@debian.org>
Build-Depends: debhelper (>> 3.0.0), libglib1.2-dev (>= 1.2.0), libgtk1.2-dev (>= 1.2.10-1), libid3-3.8.3-dev, libpopt-dev, xlibs-dev (>= 4.0.1), zlib1g-dev (>= 1:1.1.3), xmms-dev, libsdl1.2-dev, libgdk-pixbuf-dev, libvorbis-dev
Architecture: any
Standards-Version: 3.5.2
Format: 1.0
Directory: pool/main/x/xmms-singit
Files: 834607175ae0b85b60ad1365ceb4ab34 768 xmms-singit_0.1.27-0.2.dsc
 ba0951bba7d3f0785b58eebb0faabe9c 1105298 xmms-singit_0.1.27.orig.tar.gz
 72b5c2f5b91b0d14598293e5068aafea 635 xmms-singit_0.1.27-0.2.diff.gz

Package: xmms-singit
Priority: optional
Section: sound
Installed-Size: 740
Maintainer: Viral <viral@debian.org>
Architecture: i386
Version: 0.1.27-0.2
Depends: libc6 (>= 2.3.2-1), libglib1.2 (>= 1.2.0), libgtk1.2 (>= 1.2.10-4), libid3-3.8.3, libogg0 (>= 1.0.0), libsdl1.2debian (>> 1.2.5-0), libstdc++5 (>= 1:3.3.1-1), libvorbis0a (>= 1.0.0), libvorbisfile3 (>= 1.0.0), xlibs (>> 4.1.0), xmms, zlib1g (>= 1:1.1.4)
Filename: pool/main/x/xmms-singit/xmms-singit_0.1.27-0.2_i386.deb
Size: 233374
MD5sum: 2a7aa3a659f930554e21abf9819af873
Description: Display and edit lyrics with XMMS
 This "X Multi Media System" (XMMS) plugin displays formated lyrics.
 It also contains a lyrics editor, which can be used to tag timestamps in
 a song.


-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#214946; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to andy lesniakowski <andylesn@comcast.net>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 214946@bugs.debian.org (full text, mbox):

From: andy lesniakowski <andylesn@comcast.net>
To: Debian Bug Tracking System <214946@bugs.debian.org>
Subject: Would like to take over this orphaned package.
Date: Sun, 19 Oct 2003 07:13:26 -0400
Package: wnpp
Severity: wishlist
Followup-For: Bug #214946

Description: Display and edit lyrics with XMMS
 This "X Multi Media System" (XMMS) plugin displays formated lyrics.
 It also contains a lyrics editor, which can be used to tag timestamps 
in a song.

Upstream Author: Jan-Marek Glogowski <glogow@stud.fbi.fh-darmstadt.de>
Liscense: GPL
Web site: http://stud.fbi.fh-darmstadt.de/~glogow/
Version: 0.1.28


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux debian 2.4.18-bf2.4 #1 Son Apr 14 09:53:28 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214946; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to andy lesniakowski <andylesn@comcast.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 214946@bugs.debian.org (full text, mbox):

From: andy lesniakowski <andylesn@comcast.net>
To: Debian Bug Tracking System <214946@bugs.debian.org>
Subject: Would like to take over this orphaned package.
Date: Sun, 19 Oct 2003 07:49:42 -0400
Package: wnpp
Severity: wishlist
Followup-For: Bug #214946

Description: Display and edit lyrics with XMMS
 This "X Multi Media System" (XMMS) plugin displays formated lyrics.
 It also contains a lyrics editor, which can be used to tag timestamps 
in a song.

Upstream Author: Jan-Marek Glogowski <glogow@stud.fbi.fh-darmstadt.de>
Liscense: GPL
Web site: http://stud.fbi.fh-darmstadt.de/~glogow/
Version: 0.1.28


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux debian 2.4.18-bf2.4 #1 Son Apr 14 09:53:28 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#214946; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to OHURA Makoto <ohura@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 214946@bugs.debian.org (full text, mbox):

From: OHURA Makoto <ohura@debian.org>
To: andylesn@comcast.net, 214946@bugs.debian.org
Subject: Re: Bug#214946: Would like to take over this orphaned package.
Date: Thu, 08 Jan 2004 16:52:52 +0900 (JST)
[Message part 1 (text/plain, inline)]
  Hi.

  You still have the will to intend to take over xmms-singit?
So, you need to change the title of this bug.
See http://www.debian.org/devel/wnpp/

  If you will use BTS control sever, send a mail with retitle
command to control@bugs.debian.org

  Thanks.

From: andy lesniakowski <andylesn@comcast.net>
Subject: Bug#214946: Would like to take over this orphaned package.
Date: Sun, 19 Oct 2003 07:13:26 -0400

> Package: wnpp
> Severity: wishlist
> Followup-For: Bug #214946
> 
> Description: Display and edit lyrics with XMMS
>  This "X Multi Media System" (XMMS) plugin displays formated lyrics.
>  It also contains a lyrics editor, which can be used to tag timestamps 
> in a song.
> 
> Upstream Author: Jan-Marek Glogowski <glogow@stud.fbi.fh-darmstadt.de>
> Liscense: GPL
> Web site: http://stud.fbi.fh-darmstadt.de/~glogow/
> Version: 0.1.28

----
  OHURA Makoto: ohura@debian.org(Debian Project)
                ohura@netfort.gr.jp(LILO/Netfort)
  GnuPG public key: http://www.netfort.gr.jp/~ohura/gpg.asc.txt
        fingerprint: 54F6 D1B1 2EE1 81CD 65E3  A1D3 EEA2 EFA2 77DC E083
  http://www.netfort.gr.jp/~ohura/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#214946; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@uni-hd.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 214946@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: 214946@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Trying to take over xmms-singit
Date: Sat, 15 May 2004 17:01:53 +0200
[Message part 1 (text/plain, inline)]
retitle 214946 ITA: xmms-singit -- Display and edit lyrics with XMMS
thanks

I believe since andy lesniakowski didn't respond anymore I can take
over now.
I'll put together a package and ask on debian-mentors for a sponsor.

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Florian Ernst <florian@uni-hd.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#214946; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@uni-hd.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 214946@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: debian-mentors@lists.debian.org
Subject: RFS for ITA: xmms-singit -- Display and edit lyrics with XMMS
Date: Mon, 17 May 2004 17:07:24 +0200
[Message part 1 (text/plain, inline)]
Dear mentors,

wanna sing karaoke?

If so I'd be pleased to find someone to upload this package to the
archives and thus assist me in fixing some (11, sort of, that is)
bugs.

This is an RFS for an ITA[0], I have packaged the newest upstream and
I believe this packaging fixes all outstanding bugs[1] of this package
(and introduces one new, but upstream bug, as I think).

Here the specs:
Package name     : xmms-singit
Version          : 0.1.28-1
Upstream Author  : Jan-Marek Glogowski <glogow@stud.fbi.fh-darmstadt.de>
URL              : http://stud.fbi.fh-darmstadt.de/~glogow/
License          : GPLv2
Description      : Display and edit lyrics with XMMS
Long Description :
 This "X Multi Media System" (XMMS) plugin displays formated lyrics.
 It also contains a lyrics editor, which can be used to tag timestamps in
 a song.
 .
 Homepage: <http://stud.fbi.fh-darmstadt.de/~glogow/>
Closes: 98798 98869 134805 136506 148684 187662 187990 196283 206552 208376 214946
Changes:
 xmms-singit (0.1.28-1) unstable; urgency=low
 .
   * New maintainer (Closes: #214946)
   * New upstream release
     + Make sure the visualisation plug-ins are included and load fine
       (Closes: #136506, #187662, #187990)
     + Doesn't prevent xmms from starting (Closes: #148684)
     + Fix navigation displayer segfault (Closes: #208376)
   * debian/control:
     + added Homepage to long description
     + streamlined Build-Depends
     + bumped Standards-Version to 3.6.1.0
   * debian/copyright: follow best practices
   * debian/docs: added AUTHORS
   * debian/rules:
     + redo
     + remove boilerplates
     + follow best practices
   * debian/watch: added
   * Acknowledge NMUs, thanks to Andrew Pollock, Matthew Garret and Robert
     Woodcock (Closes: #98798, #98869, #134805, #196283, #206552)

All files can be found at <http://ernst.uni-hd.de/debian/xmms-singit>.
The build process was done in a uptodate sid-chroot and verified using
pbuilder and lintian.

Maintaining this package will add to my part[2] of giving back to the
community. I recently added myself to the NM-queue[3] to show my
commitment, and I'm certainly well aware that Debian means more than
just packaging...


However, there is one issue I'd like to raise and hopefully to get
some hints on: RPATH

This package (and this package alone) places some libraries in
/usr/lib/xmms/Visualization/xmms-singit and makes use of them,
relocating them in the process. According to Richard Atterer[4] it is
in this case acceptable to just leave them like this, so this is what
I did. I also added some overrides to make lintian happy.

If this shouldn't be done I could surely take the necessary
precautions as outlined in the appropriate DebianWiki entry[5], but so
far I'd personally prefer to leave it as is, since this is the least
complex way.

Any comments, please?


BTW, the one new bug introduced in my packaging work is the new SDL
visualisation plugins causing a segfault of XMMS whenever one tries to
configure them. They are perfectly useable, though, but their settings
cannot be changed.
I'd file a bug and mark it as upstream as soon as the package will be
uploaded.


Thanks for taking your time,
Cheers,
Flo


[0] http://bugs.debian.org/214946
[1] http://bugs.debian.org/xmms-singit
[2] http://qa.debian.org/developer.php?login=florian_ernst@gmx.net
[3] http://nm.debian.org/nmstatus.php?email=florian_ernst%40gmx.net
[4] http://lists.debian.org/debian-devel/2002/07/msg02030.html
[5] http://wiki.debian.net/index.cgi?RpathIssue
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#214946; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@uni-hd.de>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #37 received at 214946-quiet@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@uni-hd.de>
To: 214946-quiet@bugs.debian.org
Subject: Status update
Date: Fri, 9 Jul 2004 11:00:04 +0200
[Message part 1 (text/plain, inline)]
Just a status update:
I'm working together with Ben 'synrg' Armstrong for uploading.

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Reply sent to Florian Ernst <florian_ernst@gmx.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 214946-close@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian_ernst@gmx.net>
To: 214946-close@bugs.debian.org
Subject: Bug#214946: fixed in xmms-singit 0.1.28-1
Date: Thu, 19 Aug 2004 16:18:14 -0400
Source: xmms-singit
Source-Version: 0.1.28-1

We believe that the bug you reported is fixed in the latest version of
xmms-singit, which is due to be installed in the Debian FTP archive:

xmms-singit_0.1.28-1.diff.gz
  to pool/main/x/xmms-singit/xmms-singit_0.1.28-1.diff.gz
xmms-singit_0.1.28-1.dsc
  to pool/main/x/xmms-singit/xmms-singit_0.1.28-1.dsc
xmms-singit_0.1.28-1_i386.deb
  to pool/main/x/xmms-singit/xmms-singit_0.1.28-1_i386.deb
xmms-singit_0.1.28.orig.tar.gz
  to pool/main/x/xmms-singit/xmms-singit_0.1.28.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 214946@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Ernst <florian_ernst@gmx.net> (supplier of updated xmms-singit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Aug 2004 11:11:22 +0200
Source: xmms-singit
Binary: xmms-singit
Architecture: source i386
Version: 0.1.28-1
Distribution: unstable
Urgency: medium
Maintainer: Florian Ernst <florian_ernst@gmx.net>
Changed-By: Florian Ernst <florian_ernst@gmx.net>
Description: 
 xmms-singit - Display and edit lyrics with XMMS
Closes: 187662 196283 196283 206552 208376 214946
Changes: 
 xmms-singit (0.1.28-1) unstable; urgency=medium
 .
   * This should really go into Sarge
   * New maintainer (Closes: #214946)
   * New upstream release
     + Make sure the visualization plug-ins are included and load fine
       (Closes: #187662)
     + Fix navigation displayer segfault (Closes: #208376)
   * Removed non-free TrueType-Font from upstream source, added
     ttf-bitstream-vera as a substitute (Thanks Ben Armstrong!)
   * debian/control:
     + added Homepage to long description
     + streamlined Build-Depends / Depends, added autotools-dev
     + s/Multi Media/Multimedia/
     + bumped Standards-Version to 3.6.1
   * debian/copyright:
     + follow best practices
     + merged AUTHORS file
     + added note about maintainers
   * debian/rules: redo, following best practices
   * debian/watch: added
 .
 xmms-singit (0.1.27-0.3) unstable; urgency=low
 .
   * Uploading with maintainer set to QA group
   * debian/copyright: removed dh_make boilerplatedness
 .
 xmms-singit (0.1.27-0.2) unstable; urgency=low
 .
   * Non-maintainer upload
   * Add libid3-3.8.3-dev build-dependency (Closes: #196283)
   * Add libvorbis-dev and libgdk-pixbuf-dev build-dependencies (Closes: #206552)
 .
 xmms-singit (0.1.27-0.1) unstable; urgency=low
 .
   * NMU
   * New upstream release
   * Built with id3lib-3.8.3, closes: #196283
Files: 
 90ec7de56e5bd8f261b2cb6fe9cfb90d 740 sound optional xmms-singit_0.1.28-1.dsc
 405deed9c7519ce268f378f2754fcb70 1511203 sound optional xmms-singit_0.1.28.orig.tar.gz
 bcb4e3b4218e600f763f74d122647621 4433 sound optional xmms-singit_0.1.28-1.diff.gz
 f1938cca59f5305154d99ee0c1d970aa 328808 sound optional xmms-singit_0.1.28-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFBJQTemdOZoew2oYURArxuAJsFd7LRoKt6rq11wwny8L8wV3i6DQCbBw1x
UNiL2J2FaAbN60o96h6GQsQ=
=yrTP
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:39:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.